Subject: Malformed message caused by empty body part

From: Richard Gilbert <[email-masked]>
Date: Tue, 10 Feb 2004 18:18:39 +0000 (GMT Standard Time)

PC-pine 4.53 gives the message

"[ Malformed message. Use "H" to see raw text. ]"

when confronted with a multipart MIME message whose first body part is as
follows:

--=====================_1075847017==_
Content-Type: text/plain; charset="us-ascii"

--=====================_1075847017==_

The problem seems to be that according to RFC1521 the body part is empty
because all the blank lines are already spoken for in delimiting the
header and the next "encapsulation boundary".  When I added an extra blank
line then the whole message was OK.  The first body part then had 1
(blank) line.

I have seen this now in messages created with both Eudora and Outlook
Express.  The demime code in exiscan also chokes on such messages, but is
such a body part actually illegal?  I haven't managed to find anything
which says that it is in the RFC, and have had no success in searching the
Web.

TYIA

--
Richard Gilbert
Corporate Information and Computing Services
University of Sheffield, Sheffield, S10 2TN, UK
Phone: +44 114 222 3028   Fax: +44 114 222 3040
-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------